------------------------------------------------------------------------------------
--Name：            200417[简体征服][活动脚本]全球儿童节活动-捉迷藏
--Creator:      江宇君
--Created:     2020-04-17
------------------------------------------------------------------------------------
--/callluafunc </F>User_PlayPlot</N>55

-- 设置摄像机指向位置(网格坐标)
CppScriptMgr:SetViewPosByCell(165,232)
------------------------------------------------------------
--玩家对象操作接口,Hero、Player、Npc接口都一样
-- 查询/创建，玩家自己
-- 参数：无
local hero = CppScriptMgr:QueryHero()
-- 创建人物接口：CppScriptMgr:AddPlayer(外观look, 坐标x, 坐标y, "名字", id, 角色类型luaPlayerType)
-- local player = CppScriptMgr:AddPlayer(276, 325, 345, "新手勇士", 4003000001)
-- hero:SetCtrlMapView(1)

-- hero:SetPos(165, 230)
-- 等待1000毫秒
-- CppScriptMgr:WaitMilSec(1000)
-- 设置玩家方向，[0, 7]-八方向
-- hero:SetDir(4)
-- -- 设置外观：player:SetLook(外观type)
-- hero:SetLook(7)

local playerkid1 = CppScriptMgr:AddSimplePlayer(25210, 165,224, "Bruce~Tao", 4003000006,1)
playerkid1:Say("Do you want to play hide-and-seek with me?", 3000)
local playerkid2 = CppScriptMgr:AddSimplePlayer(25220, 160,218, "Clever", 4003000007,1)
playerkid2:Say("You should be careful! I`m good at the game!", 3000)
local playerkid3 = CppScriptMgr:AddSimplePlayer(25230, 170,219, "Cutter", 4003000008,1)
playerkid3:Say("Hey! Why not play hide-and-seek with me?", 3000)


local player1 = CppScriptMgr:AddSimplePlayer(25240, 137,215, "Desk", 4003000001,1)
local player2 = CppScriptMgr:AddSimplePlayer(25250, 137,201, "Red~Lantern", 4003000002,1)
local player3 = CppScriptMgr:AddSimplePlayer(25280, 194,173, "Spiling", 4003000003,1)
local player4 = CppScriptMgr:AddSimplePlayer(25300, 136,239, "Strongbox", 4003000004,1)
local player5 = CppScriptMgr:AddSimplePlayer(25310, 126,229, "Firework~Box", 4003000005,1)

CppScriptMgr:WaitMilSec(1000)

CppScriptMgr:SetViewPosByCell(165,232)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(165,231)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(165,230)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(165,229)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(165,228)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(165,227)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(165,226)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(165,225)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(165,224)
CppScriptMgr:WaitMilSec(50)


CppScriptMgr:NpcCallOut("Children are keen on playing hide-and-seek in Tao Village. There are furniture everywhere and they can disguise themselves as one of the furniture!", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc26494", 150, 430, "Bruce~Tao", 250, 655)
CppScriptMgr:WaitMilSec(2000)

CppScriptMgr:SetViewPosByCell(164,225)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(163,226)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(162,227)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(161,228)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(160,229)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(159,230)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(158,231)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(157,232)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(156,233)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(155,234)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(154,235)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(153,236)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(152,237)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(151,238)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(150,239)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(149,239)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(148,239)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(147,239)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(146,239)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(145,239)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(144,239)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(143,239)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(142,239)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(141,239)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(140,239)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(139,239)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(138,239)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(137,239)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(136,239)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:AddEffect("purpleray",136,239)
CppScriptMgr:SetViewPosByCell(136,239)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:NpcCallOut("I`ll show you around Tao Village. You should bear the position and appearance of these furniture in mind!", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc26494", 150, 430, "Bruce~Tao", 250, 655)
CppScriptMgr:WaitMilSec(2000)
CppScriptMgr:SetViewPosByCell(135,238)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(134,237)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(133,236)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(132,235)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(131,234)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(130,233)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(129,232)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(128,231)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(127,230)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:AddEffect("purpleray",126,229)
CppScriptMgr:SetViewPosByCell(126,229)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:NpcCallOut("When the game begins, children will disguise them as different furniture. If you find them, you win!", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc26494", 150, 430, "Bruce~Tao", 250, 655)
CppScriptMgr:WaitMilSec(2000)
CppScriptMgr:SetViewPosByCell(127,228)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(128,227)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(129,226)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(130,225)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(131,224)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(132,223)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(133,222)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(134,221)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(135,220)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(136,219)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(137,218)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(137,217)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(137,216)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:AddEffect("purpleray",137,215)
CppScriptMgr:SetViewPosByCell(137,215)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:NpcCallOut("Children disguise themselves as those furniture which doesn`t exist in the village previously. Find them, and you`ll be awarded!", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc26494", 150, 430, "Bruce~Tao", 250, 655)
CppScriptMgr:WaitMilSec(2000)
CppScriptMgr:SetViewPosByCell(137,215)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(137,214)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(137,213)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(137,212)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(137,211)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(137,210)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(137,209)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(137,208)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(137,207)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(137,206)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(137,205)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(137,204)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(137,203)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(137,202)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:AddEffect("purpleray",137,201)
CppScriptMgr:SetViewPosByCell(137,201)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:NpcCallOut("You have 5 chances in total. The more children you find, the more Adventure Coins you will get!", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc26494", 150, 430, "Bruce~Tao", 250, 655)
CppScriptMgr:WaitMilSec(2000)
CppScriptMgr:SetViewPosByCell(137,201)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(138,200)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(139,199)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(140,198)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(141,197)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(142,196)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(143,195)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(144,194)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(145,193)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(146,192)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(147,191)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(148,190)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(149,189)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(150,188)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(151,187)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(152,186)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(153,185)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(154,184)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(155,183)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(156,182)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(157,181)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(158,180)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(159,179)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(160,178)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(161,177)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(162,176)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(163,175)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(164,174)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(165,173)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(166,173)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(167,173)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(168,173)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(169,173)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(170,173)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(171,173)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(172,173)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(173,173)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(174,173)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(175,173)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(176,173)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(177,173)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(178,173)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(179,173)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(180,173)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(181,173)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(182,173)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(183,173)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(184,173)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(185,173)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(186,173)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(187,173)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(188,173)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(189,173)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(190,173)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(191,173)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(192,173)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(193,173)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:AddEffect("purpleray",194,173)
CppScriptMgr:SetViewPosByCell(194,173)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:NpcCallOut("Now, let me count backwards, 3, 2, 1! Now you can go to find Bruce Tao to join in Play & Seek Adventure!", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc26494", 150, 430, "Bruce~Tao", 250, 655)
CppScriptMgr:WaitMilSec(2000)






